﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using AzureHelperLib;

namespace WebRole1
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            lblCurrentInstanceCount.Text = GetCurrentInstances();
        }

        protected void btnRefresh_Click(object sender, EventArgs e)
        {
            lblCurrentInstanceCount.Text = GetCurrentInstances();
        }

        protected string GetCurrentInstances()
        {
            string deploymentInfo = AzureRESTMgmtHelper.GetDeploymentInfo();
            string svcconfig = AzureRESTMgmtHelper.GetServiceConfig(deploymentInfo);
            string InstanceCount = AzureRESTMgmtHelper.GetInstanceCount(svcconfig, "WebRole1");

            return InstanceCount;
        }

        protected void btnUpdateConfig_Click(object sender, EventArgs e)
        {
            string deploymentInfo = AzureRESTMgmtHelper.GetDeploymentInfo();
            string svcconfig = AzureRESTMgmtHelper.GetServiceConfig(deploymentInfo);
            string UpdatedSvcConfig = AzureRESTMgmtHelper.ChangeInstanceCount(svcconfig, "WebRole1", txtNumberInstances.Text.Trim());

            AzureRESTMgmtHelper.ChangeConfigFile(UpdatedSvcConfig);
        }
    }
}